Referenced File Reference
`#include <osg/Export>`
`#include <OpenThreads/ScopedLock>`
`#include <OpenThreads/Mutex>`
`#include <OpenThreads/Atomic>`

Go to the source code of this file.

## Classes

struct | osg::depends_on< T, M >
class | osg::Referenced

## Namespaces

namespace | osg

## Macros

#define | OSG_REFERENCED 1
#define | _OSG_REFERENCED_USE_ATOMIC_OPERATIONS

## Functions

void | osg::intrusive_ptr_add_ref (Referenced *p)
void | osg::intrusive_ptr_release (Referenced *p)

## Macro Definition Documentation

## _OSG_REFERENCED_USE_ATOMIC_OPERATIONS

#define _OSG_REFERENCED_USE_ATOMIC_OPERATIONS

## OSG_REFERENCED

#define OSG_REFERENCED 1